# borg delete

    borg [common options] delete [options] [NAME]

positional arguments
| `NAME` | specify the archive name
options
| `-n`, `--dry-run` | do not change the repository
| `--list` | output a verbose list of archives
Common options
Archive filters — Archive filters can be applied to repository targets.
| `-a PATTERN`, `--match-archives PATTERN` | only consider archives matching all patterns. See “borg help match-archives”.
| `--sort-by KEYS` | Comma-separated list of sorting keys; valid keys are: timestamp, archive, name, id, tags, host, user; default is: timestamp
| `--first N` | consider the first N archives after other filters are applied
| `--last N` | consider the last N archives after other filters are applied
| `--oldest TIMESPAN` | consider archives between the oldest archive’s timestamp and (oldest + TIMESPAN), e.g., 7d or 12m.
| `--newest TIMESPAN` | consider archives between the newest archive’s timestamp and (newest - TIMESPAN), e.g., 7d or 12m.
| `--older TIMESPAN` | consider archives older than (now - TIMESPAN), e.g., 7d or 12m.
| `--newer TIMESPAN` | consider archives newer than (now - TIMESPAN), e.g., 7d or 12m.

## Description

This command soft-deletes archives from the repository.

Important:

- The delete command will only mark archives for deletion (“soft-deletion”), repository disk space is not freed until you run `borg compact`.

- You can use `borg undelete` to undelete archives, but only until you run `borg compact`.

When in doubt, use `--dry-run --list` to see what would be deleted.

You can delete multiple archives by specifying a match pattern using the `--match-archives PATTERN` option (for more information on these patterns, see borg help patterns).

## Examples

    # Delete all backup archives named "kenny-files":
    $ borg delete -a kenny-files
    # Actually free disk space:
    $ borg compact

    # Delete a specific backup archive using its unique archive ID prefix
    $ borg delete aid:d34db33f

    # Delete all archives whose names begin with the machine's hostname followed by "-"
    $ borg delete -a 'sh:{hostname}-*'

    # Delete all archives whose names contain "-2012-"
    $ borg delete -a 'sh:*-2012-*'

    # See what would be deleted if delete was run without --dry-run
    $ borg delete --list --dry-run -a 'sh:*-May-*'